QGIS Application - Bug report #6772
Categorized Style: if column is "character” and too long in PostGIS then style takes on null value
2012-11-27 10:41 AM - Andrew Bell

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 15923
Description

On creating a categorized style on a layer coming out of PostGIS, the column | select is of a 'character' datatype and the character length
in PosgreSQL is longer than the number of characters in the data. The result is all features take on a style of the null value. If you store
varying length characters in the field it has the same effect.

It may not be good practice store data with less characters than the defined character length in a character field however it can happen
and it took me sometime work out the problem, so a fix in QGIS would be ideal.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-03-01 12:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#3 - 2018-08-23 01:04 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Description updated

Closing for lack of feedback.
